#pragma language glsl3
#ifdef VERTEX

uniform mat4 modelMatrix;
uniform mat4 viewMatrix;

vec4 position(mat4 transformProjection, vec4 vertexPosition) {
  return viewMatrix*modelMatrix*vertexPosition;
}
#endif

#ifdef PIXEL

vec4 effect(vec4 color, sampler2D texturee, vec2 textureCoords, vec2 screen_coords) {
  vec4 texel = Texel(texturee, textureCoords);
  vec4 col = color;
  if (texel.a<1){
    discard;
  }else{
    return vec4(1);
  }
}
#endif


